A deposit by its source tx or nonce
curl --request GET \
--url https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}import requests
url = "https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 812,
"chain_id": 1100,
"tx_hash": "3b1f6c0e9d2a47c58e6f1a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f",
"intent_account": "alice.near",
"nonce": "1792944123000000004211",
"token": "111bzQBB65GxAPAVoxqmMcgYo5oS3txhqs1Uh1cgahKQUeTUq1TJu",
"amount": "25000000",
"receiver": "6QPkTPp7EKZytMtEuvRmqGBBMMuwf4rrX4JjAoiuCYnT",
"near_tx": "2rQmS4n4TxT7GJ26XLDDZEHEmsizLb1ezGC81zr8dpkR",
"status": "credited",
"attempts": 0,
"last_error": null,
"created_at": 1792944180000,
"updated_at": 1792944200000
}Registry
A deposit by its source tx or nonce
GET
/
bridge
/
deposits
/
{chain}
/
{tx}
A deposit by its source tx or nonce
curl --request GET \
--url https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}import requests
url = "https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/bridge/deposits/{chain}/{tx}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 812,
"chain_id": 1100,
"tx_hash": "3b1f6c0e9d2a47c58e6f1a2b3c4d5e6f708192a3b4c5d6e7f8091a2b3c4d5e6f",
"intent_account": "alice.near",
"nonce": "1792944123000000004211",
"token": "111bzQBB65GxAPAVoxqmMcgYo5oS3txhqs1Uh1cgahKQUeTUq1TJu",
"amount": "25000000",
"receiver": "6QPkTPp7EKZytMtEuvRmqGBBMMuwf4rrX4JjAoiuCYnT",
"near_tx": "2rQmS4n4TxT7GJ26XLDDZEHEmsizLb1ezGC81zr8dpkR",
"status": "credited",
"attempts": 0,
"last_error": null,
"created_at": 1792944180000,
"updated_at": 1792944200000
}Path Parameters
Response
The deposit.
A deposit in the registry. What the client posted is a claim; the relay fills the rest from the chain.
Chain ids are omni's (v2_1.omni.hot.tg), not always the chain's own: EVM chains use their EIP-155 id (Ethereum 1, Optimism 10, BNB 56, Polygon 137, Monad 143, X Layer 196, Base 8453, Arbitrum 42161, Avalanche 43114, ...); the others have omni's numbers: Solana 1001, NEAR 1010, Stellar 1100, TON 1117 (TON v1, 1111, is dead), Juno 4444118, Gonka 4444119.
Required range:
x >= 1Examples:
1100
1117
137
4444119